LinuxQuestions.org
Share your knowledge at the LQ Wiki.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices


Reply
  Search this Thread
Old 09-27-2008, 11:16 AM   #1
dijeshkk
Member
 
Registered: Aug 2008
Posts: 35

Rep: Reputation: 15
Yum Not Working


im using fedora core 8... when i try to install something using yum its starting to download primary,sqlite.bz2. Its breaks before completing and starts downloading again and again from the begining. few days back it downloaded completely. but after that im not able to install anything using yum as it says missing dependancies. its not downloading dependancies. So i cleaned yum cashe but after that when i used yum it again started downloading primary.sqlite.bz2. im not able to use yum now..

i hav added following repos

yum repolist
repo id repo name status
InstallMedia Fedora 8 enabled
fedora Fedora 8 - i386 enabled
livna Livna for Fedora Core 8 - i386 - Base enabled
updates Fedora 8 - i386 - Updates enabled

Last edited by dijeshkk; 09-27-2008 at 11:41 AM.
 
Old 09-27-2008, 12:03 PM   #2
drchuck
Member
 
Registered: May 2007
Posts: 61

Rep: Reputation: 17
Your repolist looks similar to my own, with the exception of the InstallMedia entry. Does the media need to be mounted for yum to work? You might try removing that repo entry - you shouldn't need it ever if you have a network connection.
How about your network connection - are you behind a proxy? If so you would need to set the http_proxy environment variable to point at your proxy server.
 
Old 09-27-2008, 12:35 PM   #3
dijeshkk
Member
 
Registered: Aug 2008
Posts: 35

Original Poster
Rep: Reputation: 15
I Am Using A Proxy Connection.i made all the Proxy Settings. its downloading primary.sqlite.bz2. its size is 4.9 MB
I Removed Install Media Repo And Still Same Problem

Last edited by dijeshkk; 09-27-2008 at 01:13 PM.
 
Old 09-27-2008, 12:51 PM   #4
drchuck
Member
 
Registered: May 2007
Posts: 61

Rep: Reputation: 17
Quote:
I Am Using A Proxy Connection. My ,ade All The Proxy Settings
I have no idea what that second sentence means. Could you please rephrase it?
If you are using a proxy, yum may not be able to connect. You will need to do something like the following, before running yum:
Code:
export http_proxy=http://ip_of_proxy_server:port
 
Old 09-28-2008, 01:01 AM   #5
dijeshkk
Member
 
Registered: Aug 2008
Posts: 35

Original Poster
Rep: Reputation: 15
when i try to install something, it show various dependencies but yum is not downloading dependencies. It just says missing dependencies.i downloaded primary.sqlite.bz2 separately. It is not downloading anything
 
Old 09-28-2008, 01:14 AM   #6
dijeshkk
Member
 
Registered: Aug 2008
Posts: 35

Original Poster
Rep: Reputation: 15
when i try to install vlc using yum



[root@KK Documents]# yum -y install vlc
Setting up Install Process
Parsing package install arguments
Resolving Dependencies
--> Running transaction check
---> Package vlc.i386 0:0.8.6i-1.lvn8 set to be updated
--> Processing Dependency: libxosd.so.2 for package: vlc
--> Processing Dependency: libtar.so.1 for package: vlc
--> Processing Dependency: libwx_gtk2u_adv-2.8.so.0 for package: vlc
--> Processing Dependency: libwx_gtk2u_core-2.8.so.0 for package: vlc
--> Processing Dependency: libpulse.so.0(PULSE_0) for package: vlc
--> Processing Dependency: libwx_gtk2u_adv-2.8.so.0(WXU_2.8) for package: vlc
--> Processing Dependency: libwx_gtk2u_core-2.8.so.0(WXU_2.8) for package: vlc
--> Processing Dependency: libcucul.so.0 for package: vlc
--> Processing Dependency: libcaca.so.0 for package: vlc
--> Processing Dependency: libwx_baseu-2.8.so.0 for package: vlc
--> Processing Dependency: dejavu-fonts for package: vlc
--> Processing Dependency: vlc-core = 0.8.6i-1.lvn8 for package: vlc
--> Processing Dependency: libaa.so.1 for package: vlc
--> Processing Dependency: libvlc.so.0 for package: vlc
--> Processing Dependency: libwx_baseu-2.8.so.0(WXU_2.8) for package: vlc
--> Running transaction check
---> Package dejavu-fonts.noarch 0:2.20-1.fc8 set to be updated
---> Package xosd.i386 0:2.2.14-10.fc8 set to be updated
---> Package vlc.i386 0:0.8.6i-1.lvn8 set to be updated
--> Processing Dependency: libpulse.so.0(PULSE_0) for package: vlc
---> Package libcaca.i386 0:0.99-0.3.beta11.fc8 set to be updated
---> Package aalib.i386 0:1.4.0-0.13.rc5.fc8 set to be updated
---> Package vlc-core.i386 0:0.8.6i-1.lvn8 set to be updated
--> Processing Dependency: libportaudio.so.2 for package: vlc-core
--> Processing Dependency: liblirc_client.so.0 for package: vlc-core
--> Processing Dependency: libdvdnav.so.4 for package: vlc-core
--> Processing Dependency: libfaad.so.0 for package: vlc-core
--> Processing Dependency: liba52.so.0 for package: vlc-core
--> Processing Dependency: libdirac_decoder.so.0 for package: vlc-core
--> Processing Dependency: libpostproc.so.51 for package: vlc-core
--> Processing Dependency: libavformat.so.51 for package: vlc-core
--> Processing Dependency: libvgagl.so.1 for package: vlc-core
--> Processing Dependency: libdvdread.so.3 for package: vlc-core
--> Processing Dependency: libmad.so.0 for package: vlc-core
--> Processing Dependency: libdirectfb-1.0.so.0 for package: vlc-core
--> Processing Dependency: libtwolame.so.0 for package: vlc-core
--> Processing Dependency: libdirac_encoder.so.0 for package: vlc-core
--> Processing Dependency: libmpeg2.so.0 for package: vlc-core
--> Processing Dependency: libvga.so.1 for package: vlc-core
--> Processing Dependency: libupnp.so.3 for package: vlc-core
--> Processing Dependency: libmatroska.so.0 for package: vlc-core
--> Processing Dependency: libebml.so.0 for package: vlc-core
--> Processing Dependency: libid3tag.so.0 for package: vlc-core
--> Processing Dependency: libopendaap.so.0 for package: vlc-core
--> Processing Dependency: libdvbpsi.so.5 for package: vlc-core
--> Processing Dependency: libavutil.so.49 for package: vlc-core
--> Processing Dependency: libvcdinfo.so.0 for package: vlc-core
--> Processing Dependency: libavcodec.so.51 for package: vlc-core
--> Processing Dependency: libcddb.so.2 for package: vlc-core
--> Processing Dependency: libSDL_image-1.2.so.0 for package: vlc-core
--> Processing Dependency: libdca.so.0 for package: vlc-core
--> Processing Dependency: libx264.so.56 for package: vlc-core
--> Processing Dependency: libvcdinfo.so.0(VCDINFO_0) for package: vlc-core
---> Package libtar.i386 0:1.2.11-9.fc8 set to be updated
---> Package wxGTK.i386 0:2.8.4-6.fc8 set to be updated
--> Running transaction check
---> Package vlc-core.i386 0:0.8.6i-1.lvn8 set to be updated
--> Processing Dependency: libdvdnav.so.4 for package: vlc-core
--> Processing Dependency: libopendaap.so.0 for package: vlc-core
---> Package portaudio.i386 0:19-3.fc8 set to be updated
---> Package dirac-libs.i386 0:0.8.0-2.fc8 set to be updated
---> Package faad2.i386 1:2.0-21.20050131.lvn8 set to be updated
---> Package libcddb.i386 0:1.3.0-2.fc8 set to be updated
---> Package libmad.i386 0:0.15.1b-6.lvn8 set to be updated
---> Package twolame-libs.i386 0:0.3.12-1.lvn8 set to be updated
---> Package mpeg2dec.i386 0:0.4.1-3.lvn8 set to be updated
---> Package lirc.i386 0:0.8.2-2.fc8 set to be updated
---> Package libid3tag.i386 0:0.15.1b-4.fc8 set to be updated
---> Package directfb.i386 0:1.0.0-3.fc8 set to be updated
---> Package libmatroska.i386 0:0.8.1-2.fc8 set to be updated
---> Package libdvbpsi.i386 0:0.1.6-1.lvn8 set to be updated
---> Package a52dec.i386 0:0.7.4-11.lvn8 set to be updated
---> Package vlc.i386 0:0.8.6i-1.lvn8 set to be updated
--> Processing Dependency: libpulse.so.0(PULSE_0) for package: vlc
---> Package libdvdread.i386 0:0.9.7-3.fc8 set to be updated
---> Package ffmpeg-libs.i386 0:0.4.9-0.42.20071121.lvn8 set to be updated
--> Processing Dependency: libfaac.so.0 for package: ffmpeg-libs
--> Processing Dependency: libxvidcore.so.4 for package: ffmpeg-libs
--> Processing Dependency: libmp3lame.so.0 for package: ffmpeg-libs
---> Package libebml.i386 0:0.7.7-3.fc8 set to be updated
---> Package SDL_image.i386 0:1.2.6-3.fc8 set to be updated
---> Package vcdimager.i386 0:0.7.23-3.lvn6 set to be updated
---> Package x264.i386 0:0-0.10.20070819.lvn8 set to be updated
---> Package libdca.i386 0:0.0.5-2.lvn8 set to be updated
---> Package libupnp.i386 0:1.6.0-3.fc8 set to be updated
---> Package svgalib.i386 0:1.9.25-3.fc8 set to be updated
--> Running transaction check
---> Package vlc-core.i386 0:0.8.6i-1.lvn8 set to be updated
--> Processing Dependency: libdvdnav.so.4 for package: vlc-core
--> Processing Dependency: libopendaap.so.0 for package: vlc-core
---> Package xvidcore.i386 0:1.1.3-1.lvn8 set to be updated
---> Package vlc.i386 0:0.8.6i-1.lvn8 set to be updated
--> Processing Dependency: libpulse.so.0(PULSE_0) for package: vlc
---> Package faac.i386 0:1.25-4.lvn8 set to be updated
--> Processing Dependency: libmp4v2.so.0 for package: faac
---> Package lame-libs.i386 0:3.97-6.lvn8 set to be updated
--> Running transaction check
---> Package vlc-core.i386 0:0.8.6i-1.lvn8 set to be updated
--> Processing Dependency: libdvdnav.so.4 for package: vlc-core
--> Processing Dependency: libopendaap.so.0 for package: vlc-core
---> Package vlc.i386 0:0.8.6i-1.lvn8 set to be updated
--> Processing Dependency: libpulse.so.0(PULSE_0) for package: vlc
---> Package libmp4v2.i386 0:1.5.0.1-5.fc8 set to be updated
--> Finished Dependency Resolution
Error: Missing Dependency: libpulse.so.0(PULSE_0) is needed by package vlc
Error: Missing Dependency: libopendaap.so.0 is needed by package vlc-core
Error: Missing Dependency: libdvdnav.so.4 is needed by package vlc-core
[root@KK Documents]#
 
Old 09-28-2008, 01:58 AM   #7
John VV
LQ Muse
 
Registered: Aug 2005
Location: A2 area Mi.
Posts: 17,233

Rep: Reputation: 2522Reputation: 2522Reputation: 2522Reputation: 2522Reputation: 2522Reputation: 2522Reputation: 2522Reputation: 2522Reputation: 2522Reputation: 2522Reputation: 2522
have you installed the New signing key
http://forums.fedoraforum.org/showthread.php?t=199573
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
Problem Installing Yum: "No module named yum" braclayrab Linux - Newbie 9 08-04-2009 07:57 PM
problem after yum yum yum (delicious) alaios Fedora 3 01-14-2009 03:34 AM
Problem with Yum GardarS Linux - Newbie 2 04-07-2008 02:49 AM
Yum Problem - /var/cache/yum/base/primary.xml.gz:1 ice99 Linux - Software 0 12-15-2005 02:08 PM
Problem with yum grovesj2 Linux - Newbie 1 08-22-2005 09:39 PM

LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie

All times are GMT -5. The time now is 03:32 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration